## com.thaiopensource.validate
Interface SchemaReaderFactory

All Known Implementing Classes:
  NewSaxonSchemaReaderFactory, OldSaxonSchemaReaderFactory, SchemaReaderLoader, SchematronSchemaReaderFactory, XalanSchemaReaderFactory, XsdSchemaReaderFactory

    public interface SchemaReaderFactory

A factory for SchemaReader. A class that implements this interface can be automatically discovered by SchemaReaderLoader, if it has a 0-argument constructor and if its name is listed in the file `META-INF/services/com.thaiopensource.validate.SchemaReaderFactory`.

See Also:
  `SchemaReaderLoader`, `SchemaReader`

Method Summary
`SchemaReader` `createSchemaReader(String namespaceUri)` Creates a SchemaReader for a particular schema language.
`Option` `getOption(String uri)`

Method Detail

### createSchemaReader

    SchemaReader createSchemaReader(String namespaceUri)

  Creates a SchemaReader for a particular schema language.

  Parameters:
    `namespaceUri` - a String identifing the schema language; must not be `null`; for schema languages that use XML, this should be the namespace URI of the root element if the root element has a non-absent namespace URI
  Returns:
    a SchemaReader for the specified schema language, or `null`, if this SchemaReaderFactory cannot create a SchemaReader for the specified schema language

### getOption

    Option getOption(String uri)